> ## Documentation Index
> Fetch the complete documentation index at: https://protegee.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Twilio - Get Context

> After a call is complete, you can use this to retrieve context about the call



## OpenAPI

````yaml POST /voice/api/v1/twilio/get-context
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://protegee.ai/
security:
  - bearerAuth: []
paths:
  /voice/api/v1/twilio/get-context:
    post:
      description: >-
        After a call is complete, you can use this to retrieve context about the
        call
      parameters:
        - name: api_token
          in: query
          description: API token to authenticate the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                caller:
                  type: string
                  description: Phone number of the caller (your customer)
                  default: '+16151231234'
              required:
                - caller
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  caller:
                    type: string
                    description: Phone number of the caller (your customer)
                  description:
                    type: string
                    description: Details about the purchase
                    default: >-
                      Reservation for two at The Gourmet Bistro, 7:30 PM on
                      December 30th, 2024, Table 12, Indoor seating, Special
                      request: Window view, Confirmation number: 12345
                  price:
                    type: string
                    description: Price of the item (in USD), e.g. 10.50
                    default: '10.00'
                  vendor:
                    type: string
                    description: >-
                      Who this payment should be sent to - please refer to the
                      /vendors page to find the full list
                    default: example-co
                  customer_id:
                    type: string
                    description: >-
                      To specify the processor-specific customer ID (if you have
                      it). Only used if processor is Authorize.net.
                    default: ''
                  persona:
                    type: string
                    description: >-
                      Which voice to use - currently available:
                      'english-jessica'
                    default: english-jessica
                  callback:
                    type: string
                    description: >-
                      Phone number to hand the call back to after the payment is
                      processed, e.g. +14155552671
                    default: '+14155552671'
                  email:
                    type: string
                    description: Email of the caller (your customer)
                    format: email
                    default: my_customer@company.com
                  full_name:
                    type: string
                    description: Name of the caller (your customer)
                    default: John Doe
                  transaction_type:
                    type: string
                    description: How to process the transaction
                    default: once
                    enum:
                      - once
                      - subscription
                      - authorize
                  memory:
                    type: string
                    description: >-
                      Literally anything. Typically used to share information
                      across agents.
                    default: ''
                  status:
                    type: string
                    description: How the call went
                    default: payment-success
                  start_time:
                    type: string
                    description: When the call was initiated.
                    default: '2024-12-30T02:59:32.213280+00:00'
                  processor:
                    type: object
                    description: dynamic response that is unique to the payment processor
                    default: {}
                  debug:
                    type: string
                    description: Any misc details to help debug issues
                    default: ''
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    description: Details about the response
                    type: object
components: {}

````